ElsterOnline: Authentifizierte Datenübermittlung mit Mac OS X 10.6

Ab dem 1. Januar 2013 können Steueranmeldungen über die Elster-Schnittstelle nur noch authentifiziert mit einem elektronischen Zertifikat übermittelt werden. Als minimale Systemvoraussetzungen für den Mac nennt das Elster-Portal mindestens Mac OS X 10.6 und Safari 5.1, erforderlich ist außerdem mindestens Java 6 Update 18.

Das Portal bietet einen „Konfigurations-Assistenten“ an, mit dem man überprüfen kann, ob der eigene Rechner die technischen Voraussetzungen für die authentifizierte Datenübermittlung erfüllt. Die Prüfung schlägt aber oft fehl, obwohl der Mac und das 10.6er System auf dem neuesten Stand sind.

„Fehlende Voraussetzung“

Startet man den Konfigurations-Assistenten, sieht man zunächst ein sich drehendes Symbol und den Hinweis: „Inaktives Plug-In“. Nach einigen Minuten erscheint dann das Ergebnis des Tests in einem roten Kasten : „Fehlende Voraussetzung. Kein kompatibles Java-Plugin installiert. Ihr System erfüllt nicht die grundlegenden Voraussetzungen zur Nutzung des ElsterOnline-Portals.“.

Diesen Fehler bekommt man auch dann, wenn die neueste Java-Version für 10.6 definitiv installiert wurde und von Safari erkannt wird. Die Webseite von Java-Hersteller Oracle bietet für 10.6 keine weiteren Updates an, sondern verweist nur auf Apples Softwareaktualisierung.

Die Erklärung für das Problem findet sich in Apples Beschreibung des Java-Updates:

„Für Systeme, auf denen Java für Mac OS X 10.6 Update 9 oder neuer noch nicht installiert ist, konfiguriert dieses Update Webbrowser so, dass Java-Applets nicht automatisch ausgeführt werden. Durch Klicken auf „Inaktives Plug-In“ auf einer Webseite können Java-Applets erneut aktiviert werden. Wenn über eine längere Zeit keine Applets ausgeführt wurden, wird das Java-Web-Plug-In deaktiviert.“

Java ist also schon ordnungsgemäß auf dem Rechner installiert – um Java-Applets auszuführen, muß das Plug-In aber erstmal aktiviert werden.

So funktioniert ElsterOnline auch mit Mac OS X 10.6:

1. Zunächst per Software-Aktualisierung alle erforderlichen Updates machen: Betriebssystem (10.6.8), Safari (5.1.7) und Java (Java für Mac OS X Update 11) sollten auf dem neuesten Stand sein.

2. In den Safari Einstellungen im Bereich „Sicherheit“ überprüfen, ob Java und JavaScript aktiviert sind.

3. Den Konfigurations-Assistenten im Elster-Portal starten. Sobald der Hinweis „Inaktives Plug-In“ erscheint, den Hinweis einfach anklicken.

4. Es folgt ein Dialogfenster mit dem Hinweis: „Um dieses Applet nutzen zu können, müssen Sie das Java-SE 6-Plug-In aktivieren.“ Hier auf den Button „Aktivieren“ klicken. Ein Neustart von Safari ist normalerweise nicht nötig.

5. Nun bekommt man noch ein Hinweis vom Betriebssystem: „Ein Applet von www.elsteronline.de fordert Zugriff auf Ihren Computer an. Die digitale Signatur von „Bayerisches Landesamt fuer Steuern“ wurde verifiziert.“ Hier den Button „Erlauben“ anklicken.

6. Anschließend dauert es nur wenige Sekunden, und der Konfigurations-Assistenten verkündet die freudige Nachricht: „Voraussetzungen erfüllt. Die Überprüfung war erfolgreich.“

In Mac OS X 10.6 gibt es noch einen komfortableren Weg, um die Java-Applets an- und auszuschalten:

– Im Ordner Programme – Dienstprogramme das Programm „Java-Einstellungen“ starten.
– Im Bereich „Allgemein“ den Haken bei der Option „Applet-Plug-Ins und Web-Start-Programme aktivieren“ setzen bzw. entfernen.

Java-Applet in Mac OS X 10.7 und 10.8

Für Mac OS X 10.7 und 10.8 bietet Apple auch Java-Updates an – diese entfernen aber neuerdings das Applet-Plugin für die Browser aus dem System. Das Programm „Java-Einstellungen“ gibt es nicht mehr. Für die Nutzung von ElsterOnline läßt sich das Plug-In per Klick auf „Inaktives Plug-In“ nachinstallieren – alternativ kann man sich das passende Java 7-Update direkt von der Oracle-Seite herunterladen.

Die Aktivierung des Benutzerkontos hat bei uns mit Safari 5.1.7 übrigens nicht funktioniert – die Eingabefelder für den Aktivierungscode und die Aktivierungs-ID wurden nicht dargestellt. Mit Firefox klappte die Aktivierung ohne Probleme.

(f664/al)

Artikel und Links zum Thema:
Eine Java-Datei mit der Endung .jar läßt sich nicht starten.
ElsterOnline: Anforderungen
ElsterOnline: Konfigurations-Assistent
Oracle Download: Java für Sie
Apple: Java for Mac OS X 10.6 Update 11
Apple: About Java for OS X 2012-006
Heise Mac & i: Java-Updates für Mac OS X 10.6, 10.7 und 10.8
 
  1. Steven Greenwood vor 5 Jahren

    die folgende Lösung hat für mich funktioniert:

    1) Erst testen ob Java Applets in Safari laufen zb
    diese Seite aufrufen:
    http://javatester.org/version.html
    Mann sollte zB „Java Version 1.7.0_07 from Oracle Corporation“
    in einem Pink-Box sehen.

    2) Falls man nichts seiht, dann Java Version 7 installieren:
    http://www.java.com/de/download/mac_download.jsp

    3) Safari schliessen dann wieder öffnen und dann
    in Safari testen ob die folgende Seite funktioniert:
    http://javatester.org/version.html

    4) Dann ElsterOnline Registrierung zB ELSTER-Basis durchführen:
    https://www.elsteronline.de/eportal/eop/auth/Registrierung.tax
    Mann seiht dann ein Hinweiss „Ein Applet von http://www.elsteronline.de fordert Zugriff…“
    Zustimmen dann „Voraussetzungen erfüllt – Die Überprüfung war erfolgreich“

    Mein System:
    OSX Version 10.7.5
    Safari: 6.0.2

    sg

  2. daniel fort vor 5 Jahren

    @steven:
    vielen dank für die anleitung.
    nach 5 stunden suche die erste, die funktioniert hat!
    ergänzung für jene, bei denen es dann immer noch nicht läuft:

    5) sicherstellen, dass safari in 64bit mode startet (auf safari programm icon klicken, dann apfel+i und prüfen ob 32bit mode nicht angeklickt ist)

    dann lief es auch bei mir.

    Mein System:
    OSX Version 10.7.5
    Safari: 6.0.2

  3. Katharina vor 5 Jahren

    daaaaaaaaaaaaaaanke!!!!!!!

  4. FStumer vor 5 Jahren

    OSX 10.6.8 – hat funktioniert wie oben beschrieben, Dankeschön!!!!

  5. Florian vor 5 Jahren

    Bin der obigen Anweisung gefolgt:
    Anstatt dass sich beim Klicken auf „Inaktives Plug-In“ wie beschrieben ein Hinweisfenster öffnet, öffnet sich nur Apples Softwareupdate. Kann mir jemand helfen, bitte?

    System:
    Apple OS 10.6.8
    Safari 5.1.7
    Java für Mac OS X Update 11 habe ich durchgeführt

    • tiramigoof vor 5 Jahren

      Hallo Florian, bin leider gerade sehr im Stress, ich antworte Dir heute Abend oder morgen noch ausführlich.
      Grüße :-) Anette

  6. Florian vor 5 Jahren

    Prima, danke schon mal…

    • tiramigoof vor 5 Jahren

      Hallo Florian, versuchs mal so:
      1. Über die Software-Aktualisierung Java auf den neuesten Stand bringen. Aktuell ist Java für 10.6 Update 12.
      2. Das Programm „Java-Einstellungen“ öffnen (Programme/Dienstprogramme) und die Applet-Plugins aktivieren, also einfach den Haken bei der Option setzen. Java SE 6 muß in der Liste eingeschaltet sein und sollte ganz oben stehen (falls Du noch ältere Versionen installiert hast).
      3. Dann müßte es eigentlich funktionieren…
      Grüße :-) Anette

  7. Florian vor 5 Jahren

    Hallo Anette,

    mit dem neuen Update 12 (Download direkt über Apple Homepage) funktioniert es tatsächlich in der beschriebenen Weise!
    Vielen Dank für deine Infos.
    Viele Grüße, Florian

  8. Kai vor 5 Jahren

    Hallo Tiramigoof,

    mit dem JavaUpdate 12 konnte ich mein Login mittels Safari wie oben angeführt erstellen, aber zwei Tage später musste ich auf JavaUpdate 14 upgraden um neue Nachrichten von meinem elster account abzurufen…, das ändert sich anscheinend täglich… . Auf jedenfall klappt es mit Safari 5.1.7 und OS-X 10.6.8. Ansonsten würde ich mir ein WegwerfWindoofRechner gönnen, bevor ich das 10.6.8 update!! Don’t change running systems.
    Danke für die Website.

    Gruss

    Kai

    • tiramigoof vor 5 Jahren

      Hallo Kai, die Java-Updates sind wirklich eine Pest, da werden im Moment ständig neue Sicherheitslücken entdeckt. Ist aber andererseits auch ganz gut, daß man quasi zum Updaten gezwungen wird – so ist man auf der sicheren Seite (gerade wenns ums Finanzamt geht…).
      Grüße :-) Anette

  9. Kurzschluss vor 5 Jahren

    Hallo,
    ich habe
    Mac OSX 10.8.4
    Safari 6.0.5
    Java 7
    bekomme aber immer die Meldung von elsteronline ‚Fehlende Voraussetzung Kein kompatibles Java-Plugin installiert‘
    Wie kann ich das Problem beheben?
    uli

    • tiramigoof vor 5 Jahren

      Hallo Uli, hab grad keine Zeit – ich schau mir das irgendwann am Wochenende mal an. Grüße :-) Anette

Kommentar schreiben

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.

© 2018 tiramigoof | dandelion GbR

Bitte melde Dich an:

Passwort vergessen ?